require 'helper'

class TestUsers < Test::Unit::TestCase

  context "When using the Glomper API and working with users" do
    setup do
      @client = glomper_test_client
    end

    should "fetch info for a single user" do
      stub_get("/users/self/info?access_token=#{@client.oauth_token}", "user.json")
      user = @client.user.info
      user.first_name.should == 'Sergey'
    end
  end
end